1. Payouts
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
      • processCard
      • processAuth
      • processCapture
      • processBatch
      • retrieveBatch (CSV)
      • retrieveBatch (JSON Response)
      • retrieveBatch (JSON Notify)
      • refundCard
      • queryCard
      • processDDebit
      • processDDebitAuth
      • processVoid
      • verifyCard
      • queryDD
      • queryBIN
      • getSettlement
      • checkEnrollment
      • checkPARes
      • addBlacklistedCard
      • removeBlacklistedCard
      • queryBlacklistedCard
      • simulateNotify
      • getSurcharge
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
        POST
      • Get Payout Status
        POST
      • Resend Notifications
        POST
      • Get Payout Transaction Status
        POST
      • Get Payout Transaction Notify
        POST
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Payouts

Create Payouts

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/payout/process
Used to create a new payouts batch. Making this request will initiate the whole process, which includes debiting your nominated account for the full amount of all payouts in the batch, and sending payouts to all the nominated accounts.
Endpoint: /payout/process

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/payout/process' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data '{
    "MW-MERCHANTID": "XXXXX",
    "MW-API-KEY": "XXXXX",
    "MW-MESSAGEHASH": "XXXXX",
    "MW-API-VERSION": "XXXXX",
    "reference": "XXXXX",
    "payouts": "XXXXX",
    "payee": "XXXXX",
    "name": "XXXXX",
    "address": "XXXXX",
    "street": "XXXXX",
    "city": "XXXXX",
    "state": "XXXXX",
    "postcode": "XXXXX",
    "country": "XXXXX",
    "contact": "XXXXX",
    "phone": "XXXXX",
    "email": "XXXXX",
    "transaction": "XXXXX",
    "product": "XXXXX",
    "amount": "XXXXX",
    "bsb": "XXXXX",
    "accNumber": "XXXXX"
}'
Response Response Example
Success
{
    "responseCode": 0,
    "responseMessage": "Operation successful",
    "result": {
        "payoutId": "e6f1f5c6-adbf-11ee-b58c-005056a5521a",
        "reference": "5527a9ef00014088868a1c5a88fa72e8",
        "status": "pending",
        "summary": {
            "valid": {
                "count": 2,
                "amount": 40
            },
            "invalid": {
                "count": 1,
                "amount": 20
            }
        }
    }
}
Modified at 2026-07-16 06:33:38
Previous
Notifications
Next
Get Payout Status
Built with